Exponential Basic 2.4.0.1 Exponential Basic CMS — PHP Class Reference

Public Member Functions | Static Public Member Functions | Protected Attributes | List of all members
ezpSessionHandlerSymfony Class Reference
Inheritance diagram for ezpSessionHandlerSymfony:

## Public Member Functions
| setSaveHandler ()
| read ( $sessionId)
| write ( $sessionId, $sessionData)
| destroy ( $sessionId)
| regenerate ( $updateBackendData=true)
| gc ( $maxLifeTime)
| cleanup ()
| deleteByUserIDs (array $userIDArray)
| setStorage ( $storage)
| sessionStart ()
Public Member Functions inherited from ezpSessionHandler
| __construct ( $userHasCookie=false)
| isConnected ()
| open ( $savePath, $sessionName)
| close ()

## Static Public Member Functions
static | count ()
static | hasBackendAccess ()
static | dbRequired ()

## Protected Attributes
| $storage

## Additional Inherited Members
Public Attributes inherited from ezpSessionHandler
| $userHasCookie

## Detailed Description

Definition at line 20 of file ezpsessionhandlersymfony.php.

## Member Function Documentation

## ◆ cleanup()

ezpSessionHandlerSymfony::cleanup | ( |  | ) |

Remove all session data Callback: "cleanup_[pre|post]" eZDB $db

Returns
  bool

Reimplemented from ezpSessionHandler.

Definition at line 107 of file ezpsessionhandlersymfony.php.

## ◆ count()

static ezpSessionHandlerSymfony::count | ( |  | ) |
| static

Counts the number of session and returns it.

Returns
  int Returns -1 if handler does not support this.

Reimplemented from ezpSessionHandler.

Definition at line 116 of file ezpsessionhandlersymfony.php.

## ◆ dbRequired()

static ezpSessionHandlerSymfony::dbRequired | ( |  | ) |
| static

Signals that handler requires db instance

Returns
  bool

Reimplemented from ezpSessionHandler.

Definition at line 126 of file ezpsessionhandlersymfony.php.

## ◆ deleteByUserIDs()

ezpSessionHandlerSymfony::deleteByUserIDs | ( | array | $userIDArray | ) |

Remove all session data for a specific user

Parameters

  array(int) | $userIDArray

Reimplemented from ezpSessionHandler.

Definition at line 112 of file ezpsessionhandlersymfony.php.

## ◆ destroy()

ezpSessionHandlerSymfony::destroy | ( |  | $sessionId | ) |

Session destroy handler Callback: "destroy_[pre|post]" eZDB $db string $sessionId string $escKey

Parameters

  string | $sessionId |

Returns
  bool

Reimplemented from ezpSessionHandler.

Definition at line 47 of file ezpsessionhandlersymfony.php.

References ezpEvent\getInstance(), and eZSys\isShellExecution().

## ◆ gc()

ezpSessionHandlerSymfony::gc | ( |  | $maxLifeTime | ) |

Session gc (garbageCollector) handler Callback: "gc_[pre|post]" eZDB $db int $maxLifeTime

Parameters

  int | $maxLifeTime | In seconds

Returns
  bool

Reimplemented from ezpSessionHandler.

Definition at line 88 of file ezpsessionhandlersymfony.php.

References $db, ezpEvent\getInstance(), eZSys\isShellExecution(), and eZSession\triggerCallback().

## ◆ hasBackendAccess()

static ezpSessionHandlerSymfony::hasBackendAccess | ( |  | ) |
| static

Signals that handler has direct access to backend, thus is cable of supporting features like gc, cleanup, delete & count.

Returns
  bool

Reimplemented from ezpSessionHandler.

Definition at line 121 of file ezpsessionhandlersymfony.php.

## ◆ read()

ezpSessionHandlerSymfony::read | ( |  | $sessionId | ) |

Session read handler

Parameters

  string | $sessionId |

Returns
  string|false Binary session data

Reimplemented from ezpSessionHandler.

Definition at line 37 of file ezpsessionhandlersymfony.php.

## ◆ regenerate()

ezpSessionHandlerSymfony::regenerate | ( |  | $updateBackendData = `true` | ) |

Regenerate session id Callback (when $updateBackendData is true): "regenerate_[pre|post]" eZDB $db string $escNewKey string $escOldKey int $escUserID

Parameters

  bool | $updateBackendData | True if we want to keep session data with the new session id

Returns
  bool

Reimplemented from ezpSessionHandler.

Definition at line 63 of file ezpsessionhandlersymfony.php.

References $db, ezpEvent\getInstance(), eZSys\isShellExecution(), eZSession\triggerCallback(), and eZSession\userID().

## ◆ sessionStart()

ezpSessionHandlerSymfony::sessionStart | ( |  | ) |

Let Symfony starts the session

Returns
  bool

Reimplemented from ezpSessionHandler.

Definition at line 146 of file ezpsessionhandlersymfony.php.

## ◆ setSaveHandler()

ezpSessionHandlerSymfony::setSaveHandler | ( |  | ) |

reimp. Does not do anything to let Symfony manage the session handling

Reimplemented from ezpSessionHandler.

Definition at line 30 of file ezpsessionhandlersymfony.php.

## ◆ setStorage()

ezpSessionHandlerSymfony::setStorage | ( |  | $storage | ) |

Set the storage handler defined in Symfony.

Parameters

  \Symfony\Component\HttpFoundation\Session\Storage\SessionStorageInterface | $storage |

Definition at line 136 of file ezpsessionhandlersymfony.php.

References $storage.

## ◆ write()

ezpSessionHandlerSymfony::write | ( |  | $sessionId,
|  |  | $sessionData
| ) |  |

Session write handler

Parameters

  string | $sessionId |
  string | $sessionData | Binary session data

Returns
  bool

Reimplemented from ezpSessionHandler.

Definition at line 42 of file ezpsessionhandlersymfony.php.

## Member Data Documentation

## ◆ $storage

ezpSessionHandlerSymfony::$storage
| protected

Definition at line 25 of file ezpsessionhandlersymfony.php.

Referenced by setStorage().

The documentation for this class was generated from the following file:

- ezpsessionhandlersymfony.php

Copyright © 1998 – 2026 7x. All rights reserved. Licensed under the GNU GPLv2+.